package siprp.update.updates;

import siprp.higiene.gestao.importacao.Importador;

import com.evolute.module.updater.AbstractUpdate;
import com.evolute.utils.db.Executer;

public class V11_6_To_V11_7 extends AbstractUpdate
{
	
	public V11_6_To_V11_7()
	{
		super(11.6,11.7,"Adicionado suporte para tecnicos superiores de higiene e seguranca");
	}
	
	@Override
	public void doUpdate() throws Exception
	{
		Executer executer = getExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update(
					"alter table marcacoes_tecnicos_hst add column is_superior char(1); " +
					"update marcacoes_tecnicos_hst set is_superior = 'n'; " +
					"alter table marcacoes_tecnicos_hst alter column is_superior set not null; " +
					"alter table marcacoes_tecnicos_hst add constraint check_is_superior check( is_superior = 'y' or is_superior = 'n' ); " +
					"alter table marcacoes_tecnicos_hst alter column is_superior set default 'y'; "
			);
		executer.executeQuery( update );
		new Importador( executer ).importar();
	}
	
}
